### Hierarchy

- UIMenuStatisticsPanelItem

## Index

### Constructors

- constructor

### Properties

- activeBar
- backgroundBar
- divider
- id
- text

### Accessors

- Name
- Percentage

## Constructors

### constructor

- new UIMenuStatisticsPanelItem(name: string, percentage?: number): UIMenuStatisticsPanelItem

- - Defined in ui/menu/items/panels/UIMenuStatisticsPanelItem.ts:13

  #### Parameters

  - ##### name: string

  - ##### percentage: number = 0

  #### Returns UIMenuStatisticsPanelItem

## Properties

### Readonly activeBar

activeBar: Rectangle

- Defined in ui/menu/items/panels/UIMenuStatisticsPanelItem.ts:9

### Readonly backgroundBar

backgroundBar: Rectangle

- Defined in ui/menu/items/panels/UIMenuStatisticsPanelItem.ts:10

### Readonly divider

divider: Rectangle[] = []

- Defined in ui/menu/items/panels/UIMenuStatisticsPanelItem.ts:11

### Readonly id

id: string = ...

- Defined in ui/menu/items/panels/UIMenuStatisticsPanelItem.ts:6

### Readonly text

text: Text

- Defined in ui/menu/items/panels/UIMenuStatisticsPanelItem.ts:8

## Accessors

### Name

- get Name(): string
- set Name(value: string): void

- - Defined in ui/menu/items/panels/UIMenuStatisticsPanelItem.ts:28

  #### Returns string

- - Defined in ui/menu/items/panels/UIMenuStatisticsPanelItem.ts:32

  #### Parameters

  - ##### value: string

  #### Returns void

### Percentage

- get Percentage(): number
- set Percentage(value: number): void

- - Defined in ui/menu/items/panels/UIMenuStatisticsPanelItem.ts:36

  #### Returns number

- - Defined in ui/menu/items/panels/UIMenuStatisticsPanelItem.ts:40

  #### Parameters

  - ##### value: number

  #### Returns void

Generated using TypeDoc